Bug 442173 - mouse hangs after hibernate
Summary: mouse hangs after hibernate
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
(Show other bugs)
Version: 8
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-12 12:38 UTC by Johan E
Modified: 2008-10-22 04:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 04:33:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my config file (564 bytes, text/plain)
2008-04-12 12:39 UTC, Johan E
no flags Details
the logfile (43.42 KB, text/plain)
2008-04-12 12:40 UTC, Johan E
no flags Details
the second attempt logfile (43.31 KB, text/plain)
2008-04-12 12:41 UTC, Johan E
no flags Details

Description Johan E 2008-04-12 12:38:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
After bringing back the system from an hibernate the mouse pointer just hangsthere, no response to mouse movement. If I remove it from the USB connection and reinsert it it works again as it should.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-44.fc8

How reproducible:
Always


Steps to Reproduce:
1. hibernate the machine
2. bring it back
3.

Actual Results:
mouse dont work

Expected Results:
mouse should work

Additional info:
the computer is an Dell Dimension 8200, an dell USB mouse

Comment 1 Johan E 2008-04-12 12:39:20 UTC
Created attachment 302210 [details]
my config file

Comment 2 Johan E 2008-04-12 12:40:05 UTC
Created attachment 302211 [details]
the logfile

Comment 3 Johan E 2008-04-12 12:41:58 UTC
Created attachment 302212 [details]
the second attempt logfile

what happens if I start X11 without an config file as requested in similiar
bugreport.

Comment 4 Peter Hutterer 2008-07-15 06:53:59 UTC
can you please run a "hexdump /dev/input/mice" while moving the mouse to check
whether data is emitted by the device.

I can see two reasons for the issue:
- the kernel doesn't wake up the mouse properly and no data is sent
- the server doesn't re-initialise the mouse properly and ignores input.

hexdump should tell us who's fault it is.

Comment 5 Johan E 2008-07-15 08:22:41 UTC
That gave no output at all.

Comment 6 Peter Hutterer 2008-08-11 03:24:11 UTC
(In reply to comment #5)
> That gave no output at all.

that'd indicate a kernel issue then. can you post /proc/bus/input/devices before and after hibernate please?

Comment 7 Johan E 2008-08-22 12:37:31 UTC
sorry no, the machine I had this problem with is now retired so can't assist any further with this bug

Comment 8 Peter Hutterer 2008-10-22 04:33:24 UTC
closing as INSUFFIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.